WordPress.org

Make WordPress Core


Ignore:
Timestamp:
10/24/2016 04:44:07 AM (3 years ago)
Author:
pento
Message:

General: Check to see that the PHP-XML module is enabled before using XML functions.

There are a handful of places where we don't check that the XML functions exist before we use them. Ubuntu's PHP 7 packages don't include PHP-XML by default, increasing the chance of this causing issues.

Props kraftbj, markoheijnen.
Fixes #37122.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/feed.php

    r38470 r38883  
    539539    }
    540540
     541    if ( ! function_exists( 'xml_parser_create' ) ) {
     542        trigger_error( __( "PHP's XML extension is not available. Please contact your hosting provider to enable PHP's XML extension." ) );
     543
     544        return array( 'html', "<![CDATA[$data]]>" );
     545    }
     546
    541547    $parser = xml_parser_create();
    542548    xml_parse($parser, '<div>' . $data . '</div>', true);
Note: See TracChangeset for help on using the changeset viewer.